Page MenuHomePhabricator

$wgDebugToolbar not showing SQL queries
Closed, ResolvedPublic

Description

I haven't investigated, so i don't know why, but on recent master checkout, queries don't seem to be showing up in the debug console in the query tab. They also don't seem to show up in the logging tab under the DBQuery channel either.

Event Timeline

Bawolff created this task.Sep 1 2019, 7:58 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 1 2019, 7:58 AM
Mainframe98 renamed this task from $wgDebugConsole not showing SQL queries to $wgDebugToolbar not showing SQL queries.Oct 5 2019, 7:45 AM

Change 540983 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] rdbms: Restore debug toolbar "Queries" feature

https://gerrit.wikimedia.org/r/540983

Krinkle assigned this task to aaron.Oct 6 2019, 2:11 AM
Krinkle added a project: Performance-Team.
Krinkle added a project: Wikimedia-Rdbms.
Krinkle added subscribers: Krinkle, aaron.

Tagging here for tracking purpose. @aaron could you review this one?

Restricted Application added a project: Core Platform Team. · View Herald TranscriptOct 6 2019, 2:11 AM
Krinkle triaged this task as Medium priority.Oct 6 2019, 2:11 AM
Krinkle moved this task from Untriaged to Wiring for MediaWiki on the Wikimedia-Rdbms board.
Gilles moved this task from Inbox to Doing on the Performance-Team board.Oct 7 2019, 7:58 PM

Change 540983 merged by jenkins-bot:
[mediawiki/core@master] rdbms: Restore debug toolbar "Queries" feature

https://gerrit.wikimedia.org/r/540983

Change 543193 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@REL1_34] rdbms: Restore debug toolbar "Queries" feature

https://gerrit.wikimedia.org/r/543193

Krinkle closed this task as Resolved.Oct 15 2019, 6:36 PM
Krinkle claimed this task.
Krinkle removed a project: Patch-For-Review.

Change 543193 merged by jenkins-bot:
[mediawiki/core@REL1_34] rdbms: Restore debug toolbar "Queries" feature

https://gerrit.wikimedia.org/r/543193